Bug 42470 - Remove Other/Miscellaneous/MonoMac templates
Summary: Remove Other/Miscellaneous/MonoMac templates
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Mac Add-in (show other bugs)
Version: 5.0
Hardware: PC Mac OS
: Normal blocker
Target Milestone: (C8)
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-07-11 18:23 UTC by Miguel de Icaza [MSFT]
Modified: 2016-07-27 17:39 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Miguel de Icaza [MSFT] 2016-07-11 18:23:39 UTC
Now that Xamarin.Mac is open source, we should remove the templates for MonoMac, these live under:

Other/Miscellaneous/MonoMac

There are three templates: Cocoa App, Document App, Library Project.
Comment 1 xamarin-release-manager 2016-07-18 07:13:14 UTC
Fixed in version 6.2.0.195 (master)

Author: Vincent Dondain
Commit: a90bf5cb719c97b66b9b7afaa43413d6964b7eb7 (xamarin/md-addins)
Included in Commit: 83d621d5e95b916bcd38acd8a8cf35e33acf5d05 (mono/monodevelop)
Comment 2 Vincent Dondain [MSFT] 2016-07-18 07:17:07 UTC
C8 PR in review: https://github.com/xamarin/md-addins/pull/1153
Comment 3 Shruti 2016-07-19 05:26:01 UTC
MonoMac templates are no more visible with Master XamarinStudio-6.2.0.201_8f3d61f6cbbf149ba5d49b1b8fa6e45ec32b4f2f
Screencast: http://www.screencast.com/t/nNrGerEQeu


Please confirm me know Once PR get merged in C8 so that I can close this issue.
Comment 4 xamarin-release-manager 2016-07-26 19:23:22 UTC
Fixed in version 6.1.0.5271 (cycle8)

Author: Vincent Dondain
Commit: 5541ada3497d95e0a4441d3f8b4bebe66e7db286 (xamarin/md-addins)
Included in Commit: ccf5113663592764e282a0388cedd63d11b28107 (mono/monodevelop)
Comment 6 Shruti 2016-07-27 17:39:05 UTC
I have checked this issue with latest C8 XS 6.1 (build 5271) and observed that MonoMac templates are no more visible.


Environment Info: https://gist.github.com/danish360/cf38744a36e3a01baf4514fd4dabe5c6
Screencast: http://screencast.com/t/Q0Vzt7TkfYR